/**
 * 这是支付相关的业务逻辑的服务
 */
export default class PayService {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'PayService'
	}
	/**
	 *小程序支付-微信支付
	 *@param  amount支付金额，单位分，必须大于2
	 *@param  payWay银联：UNIONPAY，微信：WEIXIN，支付宝：ALIPAY
	 *@param  payType 微信小程序支付: MINIAPP_WEIXIN ,微信公众号支付: JSAPI_WEIXIN
	 *@param  code  微信小程序code,微信小程序支付使用
	 *@param  orderId  主订单ID
	 */
	WeChatMiniWxPay (data = {}) {
		return this.AjaxService.post({ 
			url:'/PayOrder/miniWxPay', 
			data, 
			isLoading: true ,
		})
	}
	/**
	 *小程序线上支付开关
	 */
	PayOrderOnLineSwitch (data = {}) {
		return this.AjaxService.get({ 
			url:'/PayOrder/onLineSwitch', 
			data, 
			isLoading: true ,
		})
	}
}
